← Усе катэгорыі інструментаў
150 працоўныя інструменты

Тэкст і спіс інструментаў

Ачышчайце, параўноўвайце і вымярайце змесціва без загрузкі працоўных даных.

Цэнтраванне тэкставых радкоў

Узгадняйце кожны радок па цэнтры ўнутры дакладнай шырыні ў сімвалах Unicode, захоўваючы пустыя радкі і адхіляючы разбуральнае скарачэнне.

Адкрыць інструмент →

Выдаліць прэфікс з слоў

Выдаліце адзін дакладны пачатковы фрагмент з адпаведных слоў Unicode і пакіньце пунктуацыю, прабелы і неадпаведныя словы без змен.

Адкрыць інструмент →

Выдаліць суфікс з слоў

Здыміце адзін дакладны канчатак з супадаючых слоў Unicode, не згладжваючы падзельнікі і не змяняючы словы, якія не нясуць гэты суфікс.

Адкрыць інструмент →

Уставіць раздзяляльнік паміж сімваламі

Размясціце выбраны падзельнік паміж кодавымі пунктамі Unicode, не разбіваючы сурагатныя пары, такія як эмодзі, на несапраўдныя паловы.

Адкрыць інструмент →

Змясціць кожны радок тэксту ў двукоссі

Абгортвайце кожны радок у падвойныя двукоссі, адзінарныя двукоссі або зваротныя апострафы, захоўваючы пустыя радкі і зыходны парадак радкоў.

Адкрыць інструмент →

Выдаліць двукоссі з радкоў тэксту

Выдаліце адну збалансаваную вонкавую пару двукосся з кожнага радка, выкарыстоўваючы аўтаматычнае або відавочнае супастаўленне стылю двукосся.

Адкрыць інструмент →

Цытуйце кожнае слова

Акуніце кожны токен слова Unicode у выбраны сімвал двукосся, захоўваючы коскі, пунктуацыю і зыходныя прабелы.

Адкрыць інструмент →

Выдаліць двукоссі з слоў

Распакоўвайце асобна цытаваныя словы Unicode, калі абедзве двукоссі супадаюць, не выдаляючы з прозы непадпарадкаваныя знакі двукосся.

Адкрыць інструмент →

Нармалізаваць пустыя радкі

Абмяжуйце колькасць паслядоўных пустых радкоў дакладным максімумам, захоўваючы водступ і кожны непусты радок.

Адкрыць інструмент →

Пераўтварыць прабелы ў новыя радкі

Пераўтварыце кожны токен, аддзелены прабеламі, у асобны радок і дэтэрмінавана згорніце паўторныя прабелы, табуляцыі і наяўныя разрывы радкоў.

Адкрыць інструмент →

Пераўтварыць новыя радкі ў раздзяляльнік

Аб’ядноўвайце непустыя радкі тэксту з наладжвальным раздзяляльнікам, абразаючы толькі вонкавыя прабелы ў кожным радку.

Адкрыць інструмент →

Аналізатар частаты слоў

Сартаваць словы Unicode паводле колькасці ўваходжанняў з наладжвальным мінімальным даўжынёй, абмежаваннем выніку і ўлікам рэгістра.

Адкрыць інструмент →

Сартаваць літары ўнутры слоў

Сартуйце літары і лічбы Unicode ў межах кожнага слова асобна, не перамяшчаючы знакі прыпынку або самі словы.

Адкрыць інструмент →

Сартаваць усе тэкставыя сімвалы

Упарадкуйце ўсе кодавыя кропкі Unicode ва ўсім уваходзе з неабавязковым выдаленнем прабелаў і відавочна зададзеным парадкам па ўзрастанні або ўбыванні.

Адкрыць інструмент →

Лічбы Тэкст Раставы

Размясціце кожнае выяўленае сказанне на асобным нумараваным радку з наладжвальным пачатковым значэннем і трыма чытэльнымі стылямі маркераў.

Адкрыць інструмент →

Нумар Тэкст Абзацы

Нумаруйце абзацы, падзеленыя пустой радком, захоўваючы ўнутраныя разрывы радкоў і фарматаванне кожнага абзаца.

Адкрыць інструмент →

Пошук дублікатаў прапаноў

Пералічыце паўтораныя поўныя сказы з падлікам, выкарыстоўваючы відавочнае параўнанне з улікам або без уліку рэгістра.

Адкрыць інструмент →

Унікальны экстрактар прапаноў

Захоўвайце першае ўваходжанне кожнага поўнага сказа і выдаляйце пазнейшыя дублікаты паводле выбіральнага правіла рэгістра.

Адкрыць інструмент →

Кодавальнік і дэкадавальнік тэксту Base32

Пераўтварыце тэкст UTF-8 у кананічны Base32 паводле RFC 4648 або строга дэкадуйце Base32-значэнне з запаўненнем або без яго.

Адкрыць інструмент →

Кодавальнік і дэкадавальнік тэксту Base32hex

Кадаваць і дэкадаваць UTF-8 з пашыраным шаснаццатковым алфавітам Base32, вызначаным у раздзеле 7 RFC 4648.

Адкрыць інструмент →

Кодавальнік і дэкадавальнік тэксту Base45

Пераўтварыце тэкст UTF-8 з выкарыстаннем кампактнага алфавіту Base45 RFC 9285, які выкарыстоўваецца ў фарматах дадзеных, арыентаваных на QR-коды.

Адкрыць інструмент →

Кадавальнік і дэкадавальнік тэксту Base58 Bitcoin

Пераўтварыце байты UTF-8 з алфавітам Bitcoin Base58, дакладна захоўваючы вядучыя нулявыя байты.

Адкрыць інструмент →

Канвэртар і дэкадэр тэксту Ascii85

Кадзіраваць UTF-8 у пяцісімвольныя групы Ascii85 або дэкадзіраваць строга сумяшчальныя з Adobe даныя з неабавязковымі раздзяляльнікамі і сцісканнем z.

Адкрыць інструмент →

Кадавальнік і дэкадавальнік тэксту Quoted-Printable

Кадаваць тэкст у стылі пошты UTF-8 як RFC 2045 quoted-printable або дэкадаваць правераныя вялікія экраніроўкі і нармалізаваныя браўзерам разрывы радкоў.

Адкрыць інструмент →